/**
 * 新增菜单
 */
export interface addMenuDto {
  /**
   * 是否需要拼参数：1拼,0不拼
   */
  isJoint?: number;
  menuChildren?: addMenuDto[];
  /**
   * 菜单ID
   */
  menuId?: number;
  /**
   * 菜单名称
   */
  menuName?: string;
  /**
   * 类型：0web端，1移动端
   */
  menuType?: number;
  /**
   * 菜单链接
   */
  menuUrl?: string;
  /**
   * 父级ID
   */
  pid?: number;
  /**
   * 排序
   */
  sort?: number;
  /**
   * 0开启，1关闭
   */
  status?: number;
}

/**
 * 删除菜单
 */
export interface delMenuDto {
  /**
   * 菜单ID
   */
  menuId?: number;
  /**
   * 类型：0web端，1移动端
   */
  menuType?: number;
  /**
   * 父级ID
   */
  pid?: number;
}

/**
 * 查询菜单
 */
export interface getMenuListDto {
  /**
   * 类型：0web端，1移动端
   */
  menuType?: number;
}
