/**
 * 新增主题
 */
export interface addThemeDTO {
  /**
   * 需要关联的角色id
   */
  roleIds?: number[];
  /**
   * 0开启，1关闭
   */
  status?: number;
  /**
   * 主题编码
   */
  themeCode?: string;
  /**
   * 主题名称
   */
  themeName?: string;
}

/**
 * 保存主题关联的菜单
 */
export interface addThemeMenuDto {
  /**
   * 菜单id集合
   */
  menuIds?: number[];
  /**
   * 类型：0web端，1移动端
   */
  menuType?: number;
  /**
   * 主题id
   */
  themeId?: number;
}

/**
 * 删除主题
 */
export interface delThemeDto {
  /**
   * 主题ID
   */
  themeId?: number;
}

/**
 * 获取主题关联的菜单树
 */
export interface getMenuTreeWithThemeTagDto {
  /**
   * 类型：0web端，1移动端
   */
  menuType?: number;
  /**
   * 主题ID
   */
  themeId?: number;
}
