export type AppDataByRegisterRoute = {
  path: string;
  otherWebJson: string | null;
  self: string;
  name: string;
};

/** 科室数据 */
export type DepartmentItem = {
  deptCode: string;
  deptName: string;
  hospCode: string;
  hospName: string;
  deptTypeCode: string;
  deptTypeName: string;
};

export type StorageDeptAppIdData = DepartmentItem & { appId: string };

/** 最近访问科室 */
export type LastVisitDepartmentData = {
  visitId: string;
  userId: string;
  appId: string;
  appName: string;
  deptCode: string;
  deptName: string;
  visitTime: string;
};

export type DepartmentChooseData = {
  bindDeptList: DepartmentItem[];
  lastVisitDeptVO: LastVisitDepartmentData;
};
