/**
 * 新增用户
 */
export interface addUserDto {
  /**
   * 科室编码
   */
  deptCode?: string;
  /**
   * 科室名称
   */
  deptName?: string;

  /**
   * 权限编码：0web，1移动（多个逗号隔开）
   */
  jurisdictionCode?: string[] | string;
  /**
   * 角色ID集合
   */
  roleIds?: number[] | number | string;
  /**
   * 0启用1关闭
   */
  status?: number;
  /**
   * 用户编码
   */
  userCode?: string;
  /**
   * 用户名称
   */
  userName?: string;
  /**
   * 密码
   */
  userPassword?: string;
  /**
   * 微信id
   */
  wxId?: string;
}

/**
 * 删除用户
 */
export interface DelUserDTO {
  /**
   * 用户ID
   */
  userId?: number;
}

/**
 * 查询用户
 */
export interface getUserListDto {
  /**
   * ID
   */
  id?: number;
  /**
   * 当前页
   */
  pageNum?: number;
  /**
   * 每页条数
   */
  pageSize?: number;
}

/**
 * 重置密码
 */
export interface resetPd {
  /**
   * 用户ID
   */
  userId?: number;
}
