// 新增系统
export type addSysDto = {
  /**
   * 系统编码
   */
  sysCode: string;
  /**
   * 系统ID
   */
  sysId: string;
  /**
   * 系统名称
   */
  sysName: string;
};

// 删除系统
export type delSysDto = {
  /**
   * 系统ID
   */
  sysId: string;
};

/**
 * 查询系统
 */
export interface getSysListDto {
  /**
   * 搜索名称
   */
  name?: string;
  /**
   * 当前页
   */
  pageNum?: number;
  /**
   * 每页条数
   */
  pageSize?: number;
}
